# Project: Project1
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = sample_pro_f_graph_h_private.res
OBJ  = main.o f_graph.o $(RES)
LINKOBJ  = main.o f_graph.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -L"C:/OpenCV2.2/lib" -L"C:/OpenCV2.1/lib" c:/OpenCV2.2/lib/cv210.lib c:/OpenCV2.2/lib/cv210d.lib c:/OpenCV2.2/lib/cvaux210.lib c:/OpenCV2.2/lib/cvaux210d.lib c:/OpenCV2.2/lib/cxcore210.lib c:/OpenCV2.2/lib/cxcore210d.lib c:/OpenCV2.2/lib/cxts210.lib c:/OpenCV2.2/lib/highgui210.lib c:/OpenCV2.2/lib/highgui210d.lib c:/OpenCV2.2/lib/ml210.lib c:OpenCV2.2/lib/ml210d.lib c:/OpenCV2.2/lib/opencv_ffmpeg210.lib c:/OpenCV2.2/lib/opencv_ffmpeg210d.lib  
INCS =  -I"C:/Dev-Cpp/include" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Dev-Cpp/include" 
BIN  = sample_pro_f_graph_h.exe
CXXFLAGS = $(CXXINCS)  
CFLAGS = $(INCS)  
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before sample_pro_f_graph_h.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "sample_pro_f_graph_h.exe" $(LIBS)

main.o: main.cpp
	$(CPP) -c main.cpp -o main.o $(CXXFLAGS)

f_graph.o: f_graph.cpp
	$(CPP) -c f_graph.cpp -o f_graph.o $(CXXFLAGS)

sample_pro_f_graph_h_private.res: sample_pro_f_graph_h_private.rc 
	$(WINDRES) -i sample_pro_f_graph_h_private.rc --input-format=rc -o sample_pro_f_graph_h_private.res -O coff 
